XISUITEDokumentation

Asset Schema Custom Fields

6 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1

List custom field assignments for a schema#

GET/lists/schemas/{schemaId}/custom-fieldsToken

Parameter

NameOrtTypBeschreibung
schemaIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Assign a custom field to a schema#

POST/lists/schemas/{schemaId}/custom-fieldsToken

Parameter

NameOrtTypBeschreibung
schemaIdPflichtPfadstring–

Request-Bodyapplication/jsonAssignCustomFieldDto

NameTypBeschreibung
custom_field_idPflichtstring–
sort_ordernumber

Standard: 0

is_requiredboolean

Standard: false

is_hiddenboolean

Standard: false

column_spannumber

Standard: 1

default_value_overrideobject–

Antworten

  • 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"custom_field_id":"…"}'

Update a custom field assignment#

PATCH/lists/schemas/{schemaId}/custom-fields/{assignmentId}Token

Parameter

NameOrtTypBeschreibung
schemaIdPflichtPfadstring–
assignmentIdPflichtPfadstring–

Request-Bodyapplication/jsonUpdateCustomFieldAssignmentDto

NameTypBeschreibung
sort_ordernumber–
is_requiredboolean–
is_hiddenboolean–
column_spannumber–
default_value_overrideobject–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields/{assignmentId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"sort_order":0,"is_required":true,"is_hidden":true}'

Remove a custom field from a schema#

DELETE/lists/schemas/{schemaId}/custom-fields/{assignmentId}Token

Parameter

NameOrtTypBeschreibung
schemaIdPflichtPfadstring–
assignmentIdPflichtPfadstring–

Antworten

  • 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields/{assignmentId}" \
  -H "Authorization: Bearer $XISUITE_TOKEN"

Reorder custom fields in a schema#

PUT/lists/schemas/{schemaId}/custom-fields/reorderToken

Parameter

NameOrtTypBeschreibung
schemaIdPflichtPfadstring–

Request-Bodyapplication/jsonReorderCustomFieldsDto

NameTypBeschreibung
field_ordersPflichtCustomFieldOrderDto[]–
field_orders[].assignment_idPflichtstring–
field_orders[].sort_orderPflichtnumber–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields/reorder" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"field_orders":[]}'

Sync (replace all) custom fields for a schema#

PUT/lists/schemas/{schemaId}/custom-fields/syncToken

Parameter

NameOrtTypBeschreibung
schemaIdPflichtPfadstring–

Request-Bodyapplication/jsonSyncCustomFieldsDto

NameTypBeschreibung
custom_field_idsPflichtstring[]–

Antworten

  • 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/lists/schemas/{schemaId}/custom-fields/sync" \
  -H "Authorization: Bearer $XISUITE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"custom_field_ids":[]}'
Stand: 25. Oktober 2026© 2026 XISUITE · AmberTech Solutions